function [ max_R1,max_R2,max_L1,max_L2] = Hip_Moment(Markers)

b = strfind(Markers.Labels,'LHipMoment'); %vyhledani v Labels cisla sloupce, kde se nachazi pozadovane hodnoty
for i=1:length(b) 
    if b{i}==1
        l=i*3-2 %nastaveni nove promenne, ktera indexuje cislo sloupce, kde se nachazi pozadovane hodnoty (pozdeji hledame v RawData, kde jsou vzdy 3 sloupce-x,y,z) 
    end
end

d=length(Markers.RawData(:,1)); %spocitani delky sloupce
max_L1 = max(Markers.RawData(1:d/2,l)); %vyhledani prvniho maxima
max_L2 = max(Markers.RawData(d/2:d,l)); %vyhledani druheho maxima          


a = strfind(Markers.Labels,'RHipMoment'); %vyhledani v Labels cisla sloupce, kde se nachazi pozadovane hodnoty
for i=1:length(a) 
    if a{i}==1
        r=i*3-2 %nastaveni nove promenne, ktera indexuje cislo sloupce, kde se nachazi pozadovane hodnoty (pozdeji hledame v RawData, kde jsou vzdy 3 sloupce-x,y,z) 
    end        
end


max_R1 = max(Markers.RawData(1:d/2,r)); %vyhledani prvniho maxima
max_R2 = max(Markers.RawData(d/2:d,r)); %vyhledani druheho maxima      
% vykresleni grafu, popsani os


figure

plot(Markers.RawData(:,l),'r')
hold on
plot(Markers.RawData(:,r),'g')
title('Hip moment')
xlabel('Samples [N]')
ylabel('Moment [Nm/kg]')
legend('Left Hip moment', 'Right Hip moment')

% figure
% subplot(2,1,1)
% plot(Markers.RawData(:,l))
% title('Left Hip Moment')
% xlabel('Samples [N]')
% ylabel('Moment [Nm/kg]')
% hold on
% subplot(2,1,2)
% plot(Markers.RawData(:,r))
% title('Right Hip Moment')
% xlabel('Samples [N]')
% ylabel('Moment [Nm/kg]')
% %vyps�n� maxim
w=[max_L1,max_L2]
z=[max_R1,max_R2]

end
